Bug 68740 - Incorrect named share after using samba config tool
Incorrect named share after using samba config tool
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-13 05:55 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-16 12:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Also some problems with some tabs displayed in the tool (12.53 KB, image/png)
2002-07-13 05:55 EDT, Need Real Name
no flags Details
system generated smb.conf (10.76 KB, text/plain)
2002-07-16 11:41 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-13 05:55:14 EDT
Description of Problem:
Although the system asks you what you want to call the share, it seems to ignore
this and call it after the path (minus the /'s). for example, I created a share
for the directory '/usr/netzwerk' and just wanted it to be called 'netzwerk',
but when I browsed the network (on a windows 2000 machine) I saw the share was
called 'usrnetzwerk', but the comment against the share was 'netzwerk'.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. run redhat-config-samba
2. create a share

Actual Results:

Expected Results:
Should be able to perform the things described above.

Additional Information:

Other problems noticed:
The "Advanced Settings" menu option doesn't do anything. No additional windows

Can't configure shares on a per user basis.
Comment 1 Need Real Name 2002-07-13 05:55:57 EDT
Created attachment 65224 [details]
Also some problems with some tabs displayed in the tool
Comment 2 Brent Fox 2002-07-15 17:06:09 EDT
Can you attach the /etc/samba/smb.conf file?
Comment 3 Brent Fox 2002-07-15 17:08:37 EDT
Also, I've done away with the empty notebook tabs.  There were placeholders for
other share options, but I've commented them out for now so they don't show up
Comment 4 Need Real Name 2002-07-16 11:41:38 EDT
Created attachment 65546 [details]
system generated smb.conf
Comment 5 Brent Fox 2002-07-16 12:35:53 EDT
Ok.  I remember now why I did it that way.  You cannot have forward slashes in
the section header, or else windows will get confused.  For example, imagine
that my linux box hostname is "fred".  So, if I allowed the file to look like:

	comment = netzwerk
	path = /usr/netzwerk/
	read only = No

then windows would try to access "\\fred\/usr/netzwerk"  Windows can't interpret
the "\/", so you'll get an error dialog from Windows that says:

The network name cannot be found.

Stripping the slashes out of the section header prevents this, but it does make
the section headers ugly.  Maybe there's a better way...
Comment 6 Brent Fox 2002-07-16 15:35:33 EDT
Ok, I've changed the behavior to use the directory name as the section header. 
For example, if you want to share /usr/local now, the file section looks like this:

        comment = This a comment field
        path = /usr/local

In the event that the user shares a directory with the same directory name bug a
different path, I append a number onto the section header so that Windows won't
get confused.

For example, if you try to share /tmp/foo and /usr/foo, the output will look
like this:

        comment = Sharing foo in tmp
        path = /tmp/foo

        comment = Sharing foo in usr
        path = /usr/foo

This should fix the behavior you are seeing.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.